package wenrgise.hrms.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.EJBLocalObject;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.bean.HrmTrngCalHdrBean;
import wenrgise.hrms.bean.HrmTrngCrsBudHdrBean;
import wenrgise.hrms.bean.HrmTrngCrsMstHdrBean;
import wenrgise.hrms.bean.HrmTrngEmpAttHdrBean;
import wenrgise.hrms.bean.HrmTrngEmpReqHdrBean;
import wenrgise.hrms.bean.HrmTrngFacBean;
import wenrgise.hrms.bean.HrmTrngFacTrngHdrBean;
import wenrgise.hrms.bean.HrmTrngInsCrsHdrBean;
import wenrgise.hrms.vo.HrmTrngCalQVO;
import wenrgise.hrms.vo.HrmTrngCrsBudQVO;
import wenrgise.hrms.vo.HrmTrngCrsMstQVO;
import wenrgise.hrms.vo.HrmTrngEmpAttQVO;
import wenrgise.hrms.vo.HrmTrngEmpFbkQVO;
import wenrgise.hrms.vo.HrmTrngEmpHistQVO;
import wenrgise.hrms.vo.HrmTrngEmpReqQVO;
import wenrgise.hrms.vo.HrmTrngFacFdbkQVO;
import wenrgise.hrms.vo.HrmTrngFacQVO;
import wenrgise.hrms.vo.HrmTrngFacTrngQVO;
import wenrgise.hrms.vo.HrmTrngInsCrsQVO;

public interface HrmTrainingFacadeLocal extends EJBLocalObject {
  RecordMetaInfo getHrmTrngCrsHeaderMetaInfo(HrmTrngCrsMstQVO paramHrmTrngCrsMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCrsHeader(HrmTrngCrsMstQVO paramHrmTrngCrsMstQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngCrsDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCrsDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngCrsMstHdrBean paramHrmTrngCrsMstHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngInsCrsHeaderMetaInfo(HrmTrngInsCrsQVO paramHrmTrngInsCrsQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngInsCrsHeader(HrmTrngInsCrsQVO paramHrmTrngInsCrsQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngInsCrsDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngInsCrsDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngInsCrsHdrBean paramHrmTrngInsCrsHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngCrsBudHeaderMetaInfo(HrmTrngCrsBudQVO paramHrmTrngCrsBudQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCrsBudHeader(HrmTrngCrsBudQVO paramHrmTrngCrsBudQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngCrsBudDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCrsBudDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngCrsBudHdrBean paramHrmTrngCrsBudHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngCalHeaderMetaInfo(HrmTrngCalQVO paramHrmTrngCalQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCalHeader(HrmTrngCalQVO paramHrmTrngCalQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngCalDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngCalDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  boolean chkHrmTrnCalByRatingId(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngCalHdrBean paramHrmTrngCalHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCalInstLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCalCrsCdLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmFacHeaderMetaInfo(HrmTrngFacQVO paramHrmTrngFacQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmFacHeader(HrmTrngFacQVO paramHrmTrngFacQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngFacBean paramHrmTrngFacBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmFacTrngHeaderMetaInfo(HrmTrngFacTrngQVO paramHrmTrngFacTrngQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmFacTrngHeader(HrmTrngFacTrngQVO paramHrmTrngFacTrngQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmFacTrngDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmFacTrngDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngFacTrngHdrBean paramHrmTrngFacTrngHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmEmpTrngReqHeaderMetaInfo(HrmTrngEmpReqQVO paramHrmTrngEmpReqQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmEmpTrngReqHeader(HrmTrngEmpReqQVO paramHrmTrngEmpReqQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmEmpReqDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmEmpReqDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getEmpCodeLOVdataQ(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getEmpCodeLOVdataN(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String getGroupInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgReqCalLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgReqRecoLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgReqEmpLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmTrngEmpReqHdrBean paramHrmTrngEmpReqHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String rejectEmpTrngReq(HrmTrngEmpReqHdrBean paramHrmTrngEmpReqHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String approveEmpTrngReq(HrmTrngEmpReqHdrBean paramHrmTrngEmpReqHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String submitEmpTrngReq(HrmTrngEmpReqHdrBean paramHrmTrngEmpReqHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpHistHeaderMetaInfo(HrmTrngEmpHistQVO paramHrmTrngEmpHistQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpHistHeader(HrmTrngEmpHistQVO paramHrmTrngEmpHistQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpHistDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpHistDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpAttHeaderMetaInfo(HrmTrngEmpAttQVO paramHrmTrngEmpAttQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpAttHeader(HrmTrngEmpAttQVO paramHrmTrngEmpAttQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpAttDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpAttDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveHrmTrngEmpAtt(HrmTrngEmpAttHdrBean paramHrmTrngEmpAttHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCalDetailLOVInfo(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmFacNameLOVInfo(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngFacFdBkDtlMetaInfo(HrmTrngFacFdbkQVO paramHrmTrngFacFdbkQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngFacFdBkDetailInfo(HrmTrngFacFdbkQVO paramHrmTrngFacFdbkQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngFacFdBkNextDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngFacFdBkNextDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngFacFdbkDtlHdr(HrmTrngFacFdbkQVO paramHrmTrngFacFdbkQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngFacFdbkDtlHdrMetaInfo(HrmTrngFacFdbkQVO paramHrmTrngFacFdbkQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCourseLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngFacultyLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpFdBkDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpFdBkDetailInfo(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTrngEmpFbkHeader(HrmTrngEmpFbkQVO paramHrmTrngEmpFbkQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmTrngEmpFbkHeaderMetaInfo(HrmTrngEmpFbkQVO paramHrmTrngEmpFbkQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngFdbkRatingHelpLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgMstBranchCodeLOVdataQmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgInstCodeLOVdataQmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgCountryCodeLOVdataQmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgCityCodeLOVdataQmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgFacMstEmpNoLOVNmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgFacMstBaseInstLOVQmode(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgCourseLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrgReqCourseLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngBudCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngBudCourseCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngBudCalendarCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCalNameLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngSiteLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngCrsInsNameLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmClsCalCrsLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpHistEmpLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpHistCrsLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpHistCalLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAttendanceDtlLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngFacultyLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTrngRatingLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmCalCloseCrsNameLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  void calendarClose(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
}
